	program form77
c------- declaration of variables
	character*30		name
	integer			retval
	double precision	flottant
c------- declaration of prototypes
	integer get_query, get_double

c------- output a valid mime-type header
	write(*,1)
1	format("Content-type: text/plain\n")

c------- getting a textual value
	retval = GET_QUERY('NAME', name)
	write(*, 50) name
50	format(1X, 'your name is  ', A30)

c------- getting a floating point value
	retval = GET_DOUBLE('DOUBLE', flottant)
	if (retval .eq. 1) then
	    write(*,100) flottant
100	    format(1X, 'your value is ', D13.7)
	else
	    write(*,*) 'wrong value ?'
	endif

	end

